/**
 * BuddyBoss Custom CSS
 * 
 * Modifies styles for the BuddyBoss theme & platform
 */


/***********************************************************************************************************************
   --- Text Style Changes ---
   Modify textual elements of BuddyBoss 
***********************************************************************************************************************/

/* Override default colours for anchor links to match buttons
 ************************************/
a {
   color: var(--bb-primary-button-background-regular);
}
a:hover {
   color: var(--bb-primary-button-background-hover);
}
/************************************/

/**********************************************************************************************************************/


/***********************************************************************************************************************
   --- Lyaout Style Changes ---
   Modifies the layout and arrangements of BuddyBoss elements
***********************************************************************************************************************/

/* Full-Width BuddyBoss Layout
 ************************************/
@media screen and (min-width:1201px) {
  .container {
    max-width: 1800px; /* stretch limit */
  }
  #primary {
    max-width: 100% !important;
    flex: 3 0 250px;
  }
  .widget-area:not(.widget-area-secondary) {
    -webkit-box-flex: 1;
    -moz-box-flex: 1;
    -ms-box-flex: 1;
    -ms-flex: 1 0 180px;
    flex: 1 0 180px;
    max-width: 550px; /* stretch limit */
    min-width: 280px; /* shrink limit */
  }
  /* Forum */
  .activity-list li.bbp_reply_create .activity-content .activity-inner, .activity-list li.bbp_topic_create .activity-content .activity-inner, .activity-list .blogs .activity-content .activity-inner {
    max-width: 100%;
  }
  /* Forum Images */
  .bb-media-length-1 .bb-activity-media-elem .entry-img img {
    min-width: 100%;
  }
  .activity-list li.bbp_reply_create .bb-activity-media-wrap, .activity-list li.bbp_topic_create .bb-activity-media-wrap {
    padding: 0 10px;
  }
  /* Video & Docs */
  .bb-activity-media-wrap, .bb-activity-video-wrap, .activity-list .bb-video-wrapper, .video-activity-wrap {
    max-width: initial;
  }
  /* Photos */
  .bb-media-length-1 .bb-activity-media-elem.media-activity {
    flex: 0 0 100%;
  }
}

/************************************/

/**********************************************************************************************************************/


/***********************************************************************************************************************
   --- LearnDash BuddyBoss Styles ---
   Adjust the sizing and layout of LearnDash pages.
***********************************************************************************************************************/

/* Adjust LearnDash post type page spacing
 ************************************/
/* Remove wrapper padding on LearnDash Container */
#learndash-page-content {
	padding-left: 0;
	padding-right: 0
}
/* Adjust spacing around header to 90% width centred */
.single #learndash-course-header {
	max-width: 100%;
	width: 90%;
}
/* Adjust the width of other items inside the header to 100% (contained within the above 90% width) */
.learndash-wrapper .bb-lms-header .lms-header-instructor, .learndash-wrapper .bb-lms-header .lms-header-title {
	max-width: 100%;
	width: 100%;
}
/* Adjust the post content wrapper to allow for full width access to page builder. */
.learndash_content_wrap {
	max-width: 100%!important;
}
/* Set the actions buttons, topic/quiz table, topic lesson % completed, quiz meta containers, quiz question containers, and navigation tabs to match the header's 90% width */
.learndash-wrapper .learndash_content_wrap .ld-content-actions,
.learndash-wrapper .ld-table-list,
.learndash-wrapper .ld-progress,
.learndash-wrapper .ld-quiz-status,
.learndash-wrapper .wpProQuiz_content,
.learndash-wrapper .ld-tabs .ld-tabs-navigation {
	width: 90%;
	margin: 0 auto;
}
/************************************/

/* Add additional margin to bottom of quiz container to allow space for buttons and messaging features.
 ************************************/
.learndash-wrapper .wpProQuiz_content {
	margin-bottom: 46px;
}
/************************************/

/* Adjust width of Learndash content when not created using Elementor (aka Gutenberg/blocks) to 90%.
 * It is not possible to have a 100% width element on a Learndash page built with Gutenberg.
 ************************************/
.learndash-wrapper .ld-tab-content.ld-visible:not(:has(.elementor)) {
	width: 90%;
	margin: 0 auto;
}
/************************************/

/* Hide the dark theme button
 ************************************/
#bb-toggle-theme {
	display: none!important;
}
/************************************/

/**********************************************************************************************************************/